<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.alibaba.fastjson.JSONArray" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    String json = "";
    StringBuffer sql = new StringBuffer();
    List list = new ArrayList();
    String role_id = pub.trimNull(request.getParameter("role_id"));
    String dept_ids="";
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        sql.append("select dept_id as id,p_dept_id as pid,dept_name as name,order_num from T_DEPT_PHONE ");
        sql.append(" order by order_num asc");
        v_list = cf.doQuery(conn, sql.toString(), null, list.toArray());
        if (v_list == null) {
            System.out.println("查询用户出错"+cf.getMsg());
            return;
        }
        Vector select_dept = cf.doQuery(conn, "select dept_id as id from t_book_role_phonedept where role_id=?", null, new Object[]{role_id});
        if(select_dept!=null && select_dept.size()>0){
            for(int i=0;i<select_dept.size();i++){
                Hashtable ht = (Hashtable)select_dept.get(i);
                String id=pub.trimNull((String)ht.get("id"));
                dept_ids=",a_"+id+"a_,"+dept_ids;
            }
        }
        if(v_list != null && v_list.size() > 0){
            for (Object o : v_list) {
                Hashtable ht = (Hashtable)o;
                Map map = new HashMap();
                String id=pub.trimNull((String)ht.get("id"));
                map.put("id",ht.get("id"));
                map.put("pid",ht.get("pid"));
                map.put("name",ht.get("name"));
                if(dept_ids.indexOf("a_"+id+"a_")>0){
                    map.put("checked","true");
                }
                list.add(map);
            }
            json = JSONArray.toJSON(list).toString();
        }
        /*v_list = cf.doQuery(conn, sql.toString(), null, list.toArray());
        if (v_list == null) {
            out.println("查询用户出错");
            return;
        }
        if(v_list != null && v_list.size() > 0){

            json = JSONArray.toJSON(v_list).toString();
        }*/
    } catch (Exception e) {
        out.println("查询用户信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }

    response.setContentType("application/json;charset=utf-8");
    response.getWriter().write(json.replace("pid","pId"));
%>