<%@ page import="com.censoft.common.base.Pub" %><%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.db.Logger" %>
<%@ page import="java.sql.Connection" %>

<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    String role_id = pub.trimNull(request.getParameter("role_id"));
    String action = pub.trimNull(request.getParameter("action"));
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        if ("update".equals(action)) {
            String dept_id = pub.trimNull(request.getParameter("dept_id"));
            boolean is_up = cf.executeUpdate(conn, "delete from t_book_role_phonedept where role_id=?", new Object[]{role_id});
            if (!is_up) {
                out.println("error" + cf.getMsg());
                return;
            } else {
                out.println("success");
            }
            String[] m_ids = dept_id.split(",");
            if (m_ids != null && m_ids.length > 0) {
                for (int i = 0; i < m_ids.length; i++) {
                    if (!"".equals(pub.trimNull(m_ids[i]))) {
                        is_up = cf.executeUpdate(conn, "insert into  t_book_role_phonedept(role_id,dept_id) values (?,?)", new Object[]{role_id, pub.trimNull(m_ids[i])});
                    }
                }
            }
            if (!is_up) {
                out.println("error" + cf.getMsg());
                return;
            } else {
                out.println("success");
            }
            return;
        }
    } catch (Exception e) {
        out.println("查询角色信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
<style>
    .has-switch{min-width:0px;}
</style>
<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css"
      type="text/css">
<input class="btn btn-danger radius" type="button" onclick="javascript:fun_getCheckValue();"
       value="&nbsp;&nbsp;确定授权&nbsp;&nbsp;">
<table class="table">
    <tr>
        <td  class="va-t">
            <div class="tree-div-500">
                <ul id="treeDemo" class="ztree" style="width:95%;"></ul>
            </div>
        </td>
    </tr>
</table>
<form class="form form-horizontal" id="form-admin-add">
    <input type="hidden" name="role_id" id="role_id" value="<%=role_id%>"/>
    <input type="hidden" name="dept_id" id="dept_id" value=""/>
    <input type="hidden" name="action" id="action" value="update"/>
</form>
<!--_footer 作为公共模版分离出去-->
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">


    function fun_getCheckValue() {
        var zTree = $.fn.zTree.getZTreeObj("treeDemo");
        //var nodes = zTree.getChangeCheckedNodes(true);
        var nodes=zTree.getCheckedNodes(true);
        var result = '';
        for (var i = 0; i < nodes.length; i++) {
            result += nodes[i].id + ',';
        }
        // console.log(result)
        saveForm(result);
    }

    function saveForm(dept_ids) {
        document.getElementById("dept_id").value = dept_ids;
        $.ajax({
            type: "POST",
            url: "./hmdept_select-t.jsp",
            data: $('#form-admin-add').serialize(),
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            // var index = parent.layer.getFrameIndex(window.name);
                            // parent.layer.close(index);
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                        // console.log("********************8")
                    });
                }
            }
        });
    }
    var setting = {
        check: {
            enable: true,
            chkboxType: { "Y" : "ps", "N" : "ps" },
            chkStyle: "checkbox"
        },
        view: {
            dblClickExpand: false,
            showLine: false,
            selectedMulti: false
        },
        data:{
            key:{title:"title"},
            simpleData:{enable:true}
        },
        callback:{
            onClick:function(event, treeId, treeNode){
                tree.checkNode(treeNode, !treeNode.checked, true);
                onCheck(event, treeId, treeNode);
            },
            onCheck:onCheck
        }
    };
    var tree;
    function onCheck(e,treeId,treeNode){
        var nodes=tree.getCheckedNodes(true),
            v="";
        for(var i=0;i<nodes.length;i++){
            v+=nodes[i].id + ",";
        }
        $("#dept_id").val(v);
    }
    function loadTree(){
        var role_id='<%=role_id%>';
        $.ajax({
            type: "post",
            url: "./dept_list_ajax.jsp?role_id="+role_id,
            success: function (data) {
                zNodes = data;
                var t = $("#treeDemo");
                t = $.fn.zTree.init(t, setting, zNodes);
                tree = $.fn.zTree.getZTreeObj("treeDemo");
                /*setTimeout(function(){
                    huixianTree();
                },500);*/
            }
        });

    };
    loadTree();
    function huixianTree() {
        var role_id='<%=role_id%>';
        $.ajax({
            type: "post",
            url: "./huixian_data.jsp",
            data:{"role_id":role_id},
            success: function (data) {
                var zTree = $.fn.zTree.getZTreeObj("treeDemo");
                for (var i = 0; i < data.length; i++) {
                    // 回显选中的数据　　　
                    zTree.checkNode(zTree.getNodeByParam("id", data[i].id), true);
                }
            }
        });
    }
</script>